Bug 75054 - .Xdefaults apparently ignored by Nedit
Summary: .Xdefaults apparently ignored by Nedit
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinitrc (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-04 00:14 UTC by Alejandro Mota
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-07 19:08:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alejandro Mota 2002-10-04 00:14:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
I upgraded from RH 7.3 to RH 8.0. I had customized Nedit's text foreground and
background colors, among other things, using .Xdefaults, as indicated in Nedit's
documentation. When upgrading to RH 8.0, however, these settings are ignored.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Nedit


Actual Results:  Text foreground and background colors are Nedit's defaults.

Expected Results:  Colors should be as specified in .Xdefaults.

Additional info:

Here is my .Xdefaults:

nedit*text.background:  black
nedit*text.foreground:  #AAF
nedit*text.selectForeground: black
nedit*text.selectBackground: #AAF
nedit*text.highlightBackground: white
nedit*text.cursorForeground: white

My machine is an IBM thinkpad A30p with an ATI Mobility Radeon graphics card.

Comment 1 Tim Waugh 2002-10-04 10:54:23 UTC
This is not an nedit bug, but an xinitrc one.  Changing component.

Comment 2 Mike A. Harris 2002-10-06 01:48:27 UTC
Put these settings in .Xresources instead, and it should work as expected.

Does it?

Comment 3 Alejandro Mota 2002-10-07 19:08:11 UTC
Yes, moving the settings to .Xresources works. Thanks.

Comment 4 Mike A. Harris 2002-10-26 03:46:43 UTC
.Xdefaults was deprecated 2 years ago by X.org/XFree86.org, and remained
in Red Hat Linux as a legacy compatibility feature during the 7.x
releases.  It is no longer a supported legacy compatability feature
in Red Hat Linux 8.0.

Closing bug NOTABUG


Note You need to log in before you can comment on or make changes to this bug.